package cviceni4;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="Uzivatel")
public class Uzivatel
{
   private String login;
   private String jmeno;
   private String prijmeni;
   private String role;
   private String heslo;

   public Uzivatel() {}
   public Uzivatel(String login, String heslo, String jmeno, String prijmeni,String role)
   {
      this.login = login;
      this.heslo = heslo;
      this.jmeno = jmeno;
      this.prijmeni = prijmeni;
      this.role = role;
   }

   public Uzivatel(String login, String jmeno, String prijmeni)
   {
      this(login,"", jmeno,prijmeni,"nenastaveno");
   }
   
   @Id
   @Column(name="login")
   public String getLogin() { return login; }
   @Column(name="heslo")
   public String getHeslo() {return heslo;}
   @Column(name="jmeno")
   public String getJmeno() { return jmeno; }
   @Column(name="prijmeni")
   public String getPrijmeni() { return prijmeni; }
   @Column(name="role")
   public String getRole() { return role;}

   public void setLogin(String login) { this.login=login; }
   public void setHeslo(String heslo) { this.heslo=heslo; }   
   public void setJmeno(String jmeno) { this.jmeno=jmeno; }
   public void setPrijmeni(String prijmeni) { this.prijmeni=prijmeni; }
   public void setRole(String role) { this.role=role; }

   public String toString() {
      return login + ":" + heslo + ":"+ jmeno + " " + prijmeni + ", " + role;
   }
}
