/*
 * DetailUzivateleAction.java
 *
 * Created on 1. duben 2007, 15:40
 */

package cviceni4.struts.action;

import cviceni4.UzivatelService;
import cviceni4.Uzivatel;
import cviceni4.struts.form.UzivatelForm;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
/**
 *
 * @author lumi
 * @version
 */

public class DetailUzivateleAction extends Action {
  
  /* forward name="success" path="" */
  private final static String SUCCESS = "success";
  
  /**
   * This is the action called from the Struts framework.
   * @param mapping The ActionMapping used to select this instance.
   * @param form The optional ActionForm bean for this request.
   * @param request The HTTP Request we are processing.
   * @param response The HTTP Response we are processing.
   * @throws java.lang.Exception
   * @return
   */
  public ActionForward execute(ActionMapping mapping, ActionForm  form,
      HttpServletRequest request, HttpServletResponse response)
      throws Exception {
    
    //Abychom pi kadm voln nemuseli petypovvat, tak si petypujeme na typ Formu
    //svzanho s pslunou akci v souboru struts-config. Jedn se o atribut name elementu <action>.
    //Pslun typ pak nalezneme pod danm jmnem v sekci <form-beans>
    UzivatelForm f = (UzivatelForm)form;
    
    //Zde nastv samotn kd akce. Prv zde se asto provd kontrola 
    //pstupovch oprvnn k jednotlivm oprvnnm
    
    //Naten loginu, podle kterho budeme vyhledvat. Pokud nen v objektu form,
    //tak se jej pokusme nalzt pmo v requestu.
    String login = (f.getLogin() == null) ? request.getParameter("login") : f.getLogin();
    
    UzivatelService su= new UzivatelService();
    
    Uzivatel u = su.hledej(login);
    if (u == null) {
      ActionMessages errors = new ActionMessages();
      errors.add("uzivatel",new ActionMessage("error.login.notfound",login));
      saveErrors(request,errors);
      return mapping.findForward("fail");
    }
    f.setUzivatel(u);
    return mapping.findForward(SUCCESS);
    
  }
}
